CVE-2014-8150CVE-2014-8150

Affected configuration(s):

cpe:/a:haxx:libcurl:6.0
cpe:/a:haxx:libcurl:6.1
cpe:/a:haxx:libcurl:6.1:beta
cpe:/a:haxx:libcurl:6.2
cpe:/a:haxx:libcurl:6.3
cpe:/a:haxx:libcurl:6.3.1
cpe:/a:haxx:libcurl:6.4
cpe:/a:haxx:libcurl:6.5
cpe:/a:haxx:libcurl:6.5.1
cpe:/a:haxx:libcurl:6.5.2
cpe:/a:haxx:libcurl:7.1
cpe:/a:haxx:libcurl:7.1.1
cpe:/a:haxx:libcurl:7.2
cpe:/a:haxx:libcurl:7.2.1
cpe:/a:haxx:libcurl:7.3
cpe:/a:haxx:libcurl:7.4
cpe:/a:haxx:libcurl:7.4.1
cpe:/a:haxx:libcurl:7.4.2
cpe:/a:haxx:libcurl:7.5
cpe:/a:haxx:libcurl:7.5.1
cpe:/a:haxx:libcurl:7.5.2
cpe:/a:haxx:libcurl:7.6
cpe:/a:haxx:libcurl:7.6.1
cpe:/a:haxx:libcurl:7.7
cpe:/a:haxx:libcurl:7.7.1
cpe:/a:haxx:libcurl:7.7.2
cpe:/a:haxx:libcurl:7.7.3
cpe:/a:haxx:libcurl:7.8
cpe:/a:haxx:libcurl:7.8.1
cpe:/a:haxx:libcurl:7.9
cpe:/a:haxx:libcurl:7.9.1
cpe:/a:haxx:libcurl:7.9.2
cpe:/a:haxx:libcurl:7.9.3
cpe:/a:haxx:libcurl:7.9.4
cpe:/a:haxx:libcurl:7.9.5
cpe:/a:haxx:libcurl:7.9.6
cpe:/a:haxx:libcurl:7.9.7
cpe:/a:haxx:libcurl:7.9.8
cpe:/a:haxx:libcurl:7.10
cpe:/a:haxx:libcurl:7.10.1
cpe:/a:haxx:libcurl:7.10.2
cpe:/a:haxx:libcurl:7.10.3
cpe:/a:haxx:libcurl:7.10.4
cpe:/a:haxx:libcurl:7.10.5
cpe:/a:haxx:libcurl:7.10.6
cpe:/a:haxx:libcurl:7.10.7
cpe:/a:haxx:libcurl:7.10.8
cpe:/a:haxx:libcurl:7.11.0
cpe:/a:haxx:libcurl:7.11.1
cpe:/a:haxx:libcurl:7.11.2
cpe:/a:haxx:libcurl:7.12.0
cpe:/a:haxx:libcurl:7.12.1
cpe:/a:haxx:libcurl:7.12.2
cpe:/a:haxx:libcurl:7.12.3
cpe:/a:haxx:libcurl:7.13.0
cpe:/a:haxx:libcurl:7.13.1
cpe:/a:haxx:libcurl:7.13.2
cpe:/a:haxx:libcurl:7.14.0
cpe:/a:haxx:libcurl:7.14.1
cpe:/a:haxx:libcurl:7.15.0
cpe:/a:haxx:libcurl:7.15.1
cpe:/a:haxx:libcurl:7.15.2
cpe:/a:haxx:libcurl:7.15.3
cpe:/a:haxx:libcurl:7.15.4
cpe:/a:haxx:libcurl:7.15.5
cpe:/a:haxx:libcurl:7.16.0
cpe:/a:haxx:libcurl:7.16.1
cpe:/a:haxx:libcurl:7.16.2
cpe:/a:haxx:libcurl:7.16.3
cpe:/a:haxx:libcurl:7.16.4
cpe:/a:haxx:libcurl:7.17.0
cpe:/a:haxx:libcurl:7.17.1
cpe:/a:haxx:libcurl:7.18.0
cpe:/a:haxx:libcurl:7.18.1
cpe:/a:haxx:libcurl:7.18.2
cpe:/a:haxx:libcurl:7.19.0
cpe:/a:haxx:libcurl:7.19.1
cpe:/a:haxx:libcurl:7.19.2
cpe:/a:haxx:libcurl:7.19.3
cpe:/a:haxx:libcurl:7.19.4
cpe:/a:haxx:libcurl:7.19.5
cpe:/a:haxx:libcurl:7.19.6
cpe:/a:haxx:libcurl:7.19.7
cpe:/a:haxx:libcurl:7.20.0
cpe:/a:haxx:libcurl:7.20.1
cpe:/a:haxx:libcurl:7.21.0
cpe:/a:haxx:libcurl:7.21.1
cpe:/a:haxx:libcurl:7.21.2
cpe:/a:haxx:libcurl:7.21.3
cpe:/a:haxx:libcurl:7.21.4
cpe:/a:haxx:libcurl:7.21.5
cpe:/a:haxx:libcurl:7.21.6
cpe:/a:haxx:libcurl:7.21.7
cpe:/a:haxx:libcurl:7.22.0
cpe:/a:haxx:libcurl:7.23.0
cpe:/a:haxx:libcurl:7.23.1
cpe:/a:haxx:libcurl:7.24.0
cpe:/a:haxx:libcurl:7.25.0
cpe:/a:haxx:libcurl:7.26.0
cpe:/a:haxx:libcurl:7.27.0
cpe:/a:haxx:libcurl:7.28.0
cpe:/a:haxx:libcurl:7.28.1
cpe:/a:haxx:libcurl:7.29.0
cpe:/a:haxx:libcurl:7.30.0
cpe:/a:haxx:libcurl:7.31.0
cpe:/a:haxx:libcurl:7.32.0
cpe:/a:haxx:libcurl:7.33.0
cpe:/a:haxx:libcurl:7.34.0
cpe:/a:haxx:libcurl:7.35.0
cpe:/a:haxx:libcurl:7.36.0
cpe:/a:haxx:libcurl:7.37.0
cpe:/a:haxx:libcurl:7.37.1
cpe:/a:haxx:libcurl:7.38.0
cpe:/a:haxx:libcurl:7.39
cpe:/o:canonical:ubuntu_linux:10.04::~~lts~~~
cpe:/o:canonical:ubuntu_linux:12.04::~~lts~~~
cpe:/o:canonical:ubuntu_linux:14.04::~~lts~~~
cpe:/o:canonical:ubuntu_linux:14.10
cpe:/o:debian:debian_linux:7.0

Date published: 2015-01-15T10:59:06.047-05:00

Date last modified: 2017-09-21T21:29:01.047-04:00

CVSS Score: 4.3

Principal attack vector: NETWORK

Complexity:  MEDIUM

Reference URL: http://advisories.mageia.org/MGASA-2015-0020.html

Summary: CRLF injection vulnerability in libcurl 6.0 through 7.x before 7.40.0, when using an HTTP proxy, allows remote attackers to inject arbitrary HTTP headers and conduct HTTP response splitting attacks via CRLF sequences in a URL.

CategoriesUncategorised

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.